You are viewing the PKP Support Forum | PKP Home Wiki

OJS in update PHP 5.3.3 for 5.4.4

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

OJS in update PHP 5.3.3 for 5.4.4

Postby aftavaresjr » Wed Jul 11, 2012 12:24 pm

Hello friends, I have a problem with OJS here and I'm not sure solve. If you can help I am immensely grateful.
I was having problems as the variable "session_is_registered" that was interrupted by PHP and could not access the system because of an error with it. I had upgraded from PHP 5.3 to 5.4.
I made the changes suggested here on the forum, comment out the line that contains a call to the function in the file Session.inc.php and it worked, but not everything.
The page view "(page User) Managing Editor -> (settings and tools) configuration" simply does not open anything. It is blank and shows nothing.
I can not see anything in error logs, both apache and php.
Does anyone have a tip or idea of what can be?

thank you
Posts: 2
Joined: Wed Jul 11, 2012 4:37 am

Re: OJS in update PHP 5.3.3 for 5.4.4

Postby JohnGrobler » Tue Jul 16, 2013 3:02 am

Hi Alfredo,

Were you able to figure out how to resolve this issue. We've also recently upgraded to PHP 5.4.4 and applied the "session_is_registered" as per bugfix: http://pkp.sfu.ca/bugzilla/show_bug.cgi?id=7544

Our problem is that the User Home > Journal Manager > Setup page is blank, and I cannot get the site to show an error on screen or in the logfiles.

Running OJS, any help will be appreciated!

Thank you,
John Grobler
Posts: 51
Joined: Mon Dec 07, 2009 1:41 pm

Re: OJS in update PHP 5.3.3 for 5.4.4

Postby asmecher » Tue Jul 16, 2013 8:33 am

Hi John,

You're likely running into a class name conflict; older releases of OJS included a Locale class, which is also provided in newer PHP distributions. Try upgrading to a new release.

Alec Smecher
Public Knowledge Project Team
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm

Return to OJS Technical Support

Who is online

Users browsing this forum: Google [Bot], Yahoo [Bot] and 1 guest